Beispiel #1
0
 public static Snap.NX.BoundedPlane Wrap(Tag nxopenBoundedPlaneTag)
 {
     if (nxopenBoundedPlaneTag == Tag.Null)
     {
         throw new ArgumentException("Input tag is NXOpen.Tag.Null");
     }
     NXOpen.Features.BoundedPlane objectFromTag = Snap.NX.NXObject.GetObjectFromTag(nxopenBoundedPlaneTag) as NXOpen.Features.BoundedPlane;
     if (objectFromTag == null)
     {
         throw new ArgumentException("Input tag doesn't belong to an NXOpen.Features.BoundedPlane object");
     }
     return(objectFromTag);
 }
Beispiel #2
0
 internal BoundedPlane(NXOpen.Features.BoundedPlane boundedPlane) : base(boundedPlane)
 {
     this.NXOpenBoundedPlane = boundedPlane;
 }